[GInput]
; Well... you shouldn't ever really need this option, but if you're too lazy to drag
; GInput out of your SA directory, you may disable it completely here
Enable=1
; Setting this to 0 won't stop the game from registering pad input when not in focus
; Best to leave it enabled
DisableOnFocusLost=1
; This option will toggle vibration on/off
Vibration=1
; Enables cheat input from the pad - see docs/cheat_list_*.html for more info
CheatsFromPad=1
; This option will make the mod launch Steam Overlay menu by pressing Home/Guide
; Takes no effect at all if game is not launched by Steam
GuideLaunchesOverlay=1
; This option alters some of the SCM scripts so they work properly with all GInput sets
; It makes several missions use IV controls properly and also corrects a Dancing minigame to use
; correct face buttons instead of arrow keys
ApplyMissionSpecificFixes=1
; This options makes GInput alter GXT entries to reflect in-game keys correctly
; Without this option, some help boxes (especially when using IV controls mode) will not show correct buttons
ApplyGXTFixes=1
; This option will replace XBOX pad buttons with PlayStation pad buttons
PlayStationButtons=0
; Makes the first XInput pad control the second player
MapPadOneToPadTwo=0
; Disables a lock-on aim when using a pad
FreeAim=0
; Global Sixaxis hack toggle - must be enabled for any Sixaxis features to work
; Might cause crashes if used xinput1_3.dll doesn't match the one hacks were prepared for
EnableSixaxisHack=0

[Pad1]
; This option will determine what controls set to use
; See docs/GAME CONTROLS FULL LIST.txt for available modes and their setups
ControlsSet=1
; This swaps all actions bound to analog sticks, similarly to Max Payne 3/GTA V Southpaw option
; so everything bound to left analog stick will be controlled by right analog stick and vice versa
Southpaw=0
; This option will switch analog sticks when aiming with a sniper
; 0 makes right stick responsible for aiming & left stick responsible for zooming
; 1 makes left stick responsible for aiming & right stick responsible for zooming
; Takes effect only with IV style controls enabled (ControlsSet=2)
SwapSticksDuringAiming=0
; This option will invert view controls (1st person aiming and looking around)
InvertLook=0

; This option will invert left thumbstick X axis
InvertLeftXAxis=0
; This option will invert left thumbstick Y axis
InvertLeftYAxis=0
; This option will swap left thumbstick axes (so X axis becomes Y and Y becomes X)
SwapLeftAxes=0

; Changes the left stick deadzone - bigger value increases the deadzone
LeftStickDeadzone=24
; Changes the left stick sensitivity (in 0-200 range)
; 0 makes the stick input fully cubic (lowest sensitivity)
; 100 makes the stick input fully linear (default sensitivity)
; 200 makes the stick input cubic root shaped (highest sensitivity)
LeftStickSensitivity=100

; This option will invert right thumbstick X axis
InvertRightXAxis=0
; This option will invert right thumbstick Y axis
InvertRightYAxis=0
; This option will swap right thumbstick axes (so X axis becomes Y and Y becomes X)
SwapRightAxes=0

; Changes the right stick deadzone - bigger value increases the deadzone
RightStickDeadzone=27
; Changes the left stick sensitivity (in 0-200 range)
; 0 makes the stick input fully cubic (lowest sensitivity)
; 100 makes the stick input fully linear (default sensitivity)
; 200 makes the stick input cubic root shaped (highest sensitivity)
RightStickSensitivity=100


; These options are used ONLY when using SCP Driver Package and SCP's xinput1_3.dll is put in game directory

; Changes Sixaxis sensitivity when steering any vehicles - higher values increase sensitivity
SixaxisSensitivity=150
; Tilting the controller towards you will make the player reload his weapon
SixaxisReloading=1
; Tilting the controller steers the car player is driving
SixaxisCarSteering=0
; Tilting the controller steers the bike/BMX player is riding
; Also shifts weight forwards/backwards
SixaxisBikeSteering=0
; Tilting the controller steers the boat player is using
SixaxisBoatSteering=0
; Tilting the controller steers the helicopter player is flying
SixaxisHeliSteering=0
; Tilting the controller steers the plane player is flying
SixaxisPlaneSteering=0
; Tilting the controller controls hydraulics, moving the pad upwards rapidly makes the car jump
; Mutually exclusive with SixaxisCarSteering - will disable car steering if both options are enabled
; and the vehicle has hydraulics
SixaxisHydraulics=0

; Face buttons sensitibity (don't affect triggers nor analog sticks). A value of 100 means the button has to
; be 100% pressed for the game to register a full button press; 75 means the button has to be 75% pressed to
; register a full button press, and so on
FaceButtonsSensitivity=50


[Pad2]
; This option will determine what controls set to use
; See docs/GAME CONTROLS FULL LIST.txt for available modes and their setups
ControlsSet=1
; This swaps all actions bound to analog sticks, similarly to Max Payne 3/GTA V Southpaw option
; so everything bound to left analog stick will be controlled by right analog stick and vice versa
Southpaw=0
; This option will switch analog sticks when aiming with a sniper
; 0 makes right stick responsible for aiming & left stick responsible for zooming
; 1 makes left stick responsible for aiming & right stick responsible for zooming
; Takes effect only with IV style controls enabled (ControlsSet=2)
SwapSticksDuringAiming=0
; This option will invert view controls (1st person aiming and looking around)
InvertLook=0

; This option will invert left thumbstick X axis
InvertLeftXAxis=0
; This option will invert left thumbstick Y axis
InvertLeftYAxis=0
; This option will swap left thumbstick axes (so X axis becomes Y and Y becomes X)
SwapLeftAxes=0

; Changes the left stick deadzone - bigger value increases the deadzone
LeftStickDeadzone=24
; Changes the left stick sensitivity (in 0-200 range)
; 0 makes the stick input fully cubic (lowest sensitivity)
; 100 makes the stick input fully linear (default sensitivity)
; 200 makes the stick input cubic root shaped (highest sensitivity)
LeftStickSensitivity=100

; This option will invert right thumbstick X axis
InvertRightXAxis=0
; This option will invert right thumbstick Y axis
InvertRightYAxis=0
; This option will swap right thumbstick axes (so X axis becomes Y and Y becomes X)
SwapRightAxes=0

; Changes the right stick deadzone - bigger value increases the deadzone
RightStickDeadzone=27
; Changes the left stick sensitivity (in 0-200 range)
; 0 makes the stick input fully cubic (lowest sensitivity)
; 100 makes the stick input fully linear (default sensitivity)
; 200 makes the stick input cubic root shaped (highest sensitivity)
RightStickSensitivity=100


; These options are used ONLY when using SCP Driver Package and SCP's xinput1_3.dll is put in game directory

; Changes Sixaxis sensitivity when steering any vehicles - higher values increase sensitivity
SixaxisSensitivity=150
; Tilting the controller towards you will make the player reload his weapon
SixaxisReloading=1
; Tilting the controller steers the car player is driving
SixaxisCarSteering=0
; Tilting the controller steers the bike/BMX player is riding
; Also shifts weight forwards/backwards
SixaxisBikeSteering=0
; Tilting the controller steers the boat player is using
SixaxisBoatSteering=0
; Tilting the controller steers the helicopter player is flying
SixaxisHeliSteering=0
; Tilting the controller steers the plane player is flying
SixaxisPlaneSteering=0
; Tilting the controller controls hydraulics, moving the pad upwards rapidly makes the car jump
; Mutually exclusive with SixaxisCarSteering - will disable car steering if both options are enabled
; and the vehicle has hydraulics
SixaxisHydraulics=0

; Face buttons sensitibity (don't affect triggers nor analog sticks). A value of 100 means the button has to
; be 100% pressed for the game to register a full button press; 75 means the button has to be 75% pressed to
; register a full button press, and so on
FaceButtonsSensitivity=50